## rust-nitrocli 0.2.2

=== debian/changelog ===
rust-nitrocli (0.2.2-1) unstable; urgency=medium

  * Initial release. Closes: #918069
  * Package nitrocli 0.2.2 from crates.io using debcargo 2.2.9

 -- Robin Krahl <robin.krahl@ireas.org>  Tue, 22 Jan 2019 10:11:31 +0100
