## rust-nitrocli 0.2.3

=== debian/changelog ===
rust-nitrocli (0.2.3-1) unstable; urgency=medium

  * Add gnupg-agent as a recommended dependency.
  * Package nitrocli 0.2.3 from crates.io using debcargo 2.2.10

 -- Robin Krahl <robin.krahl@ireas.org>  Mon, 25 Feb 2019 08:03:50 +0100
