=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  librust-argparse-0.2+default-dev (>= 0.2.2-~~),
  librust-base32-0.4+default-dev,
  librust-libc-0.2+default-dev,
- librust-nitrokey-0.3+default-dev,
+ librust-nitrokey-0.3+default-dev (>= 0.3.1-~~),
  librust-nitrokey-sys-dev (>=3.4.3-2)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
@@ -27,7 +27,8 @@
  ${shlibs:Depends},
  ${cargo:Depends}
 Recommends:
- ${cargo:Recommends}
+ ${cargo:Recommends},
+ gnupg-agent
 Suggests:
  ${cargo:Suggests}
 Provides:
