## rust-nitrocli 0.2.4

=== debian/changelog ===
rust-nitrocli (0.2.4-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Update relax-base32 patch to include code adjustments

 -- Nadzeya Hutsko <nadzya.info@gmail.com>  Tue, 12 Aug 2025 18:01:26 +0200

rust-nitrocli (0.2.4-3) experimental; urgency=medium

  * Team upload.
  * Relax base32 dependency to 0.5

 -- Nadzeya Hutsko <nadzya.info@gmail.com>  Thu, 17 Jul 2025 20:14:14 +0200

rust-nitrocli (0.2.4-2) unstable; urgency=medium

  * Team upload.
  * Package nitrocli 0.2.4 from crates.io using debcargo 2.5.0
  * Rebuild against new rand stack.
  * Force debhelper compat level to 11, compat 12 (introduced by new debcargo)
    causes a FTBFS.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 05 Feb 2022 13:03:01 +0000

rust-nitrocli (0.2.4-1) unstable; urgency=medium

  * Package nitrocli 0.2.4 from crates.io using debcargo 2.2.10

 -- Robin Krahl <robin.krahl@ireas.org>  Sun, 07 Jul 2019 19:24:27 +0200
