=== debian/control ===
Source: rust-nitrocli
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 librust-nitrokey-sys-dev (>=3.4.3-2)
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-argparse-0.2+default-dev (>= 0.2.2-~~),
 librust-base32-0.5+default-dev,
 librust-libc-0.2+default-dev,
 librust-nitrokey-0.3+default-dev (>= 0.3.1-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Robin Krahl <robin.krahl@ireas.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/nitrocli]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/nitrocli
Homepage: https://github.com/d-e-s-o/nitrocli
X-Cargo-Crate: nitrocli
Rules-Requires-Root: no

Package: nitrocli
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends},
 gpg-agent
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: command line interface for Nitrokey devices
 nitrocli provides access to the password safe, the encrypted storage and the
 one-time password generator on Nitrokey Pro and Nitrokey Storage devices.  It
 can also be used to manage the device configuration and PINs.
